# TdApi.DiscardCall (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: DiscardCall

Package it.tdlight.jni

# Class TdApi.DiscardCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.DiscardCall

Enclosing class:
  TdApi

    public static class TdApi.DiscardCall
    extends TdApi.Function

Discards a call.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `callId` | Call identifier.
`long` | `connectionId` | Identifier of the connection used during the call.
`static int` | `CONSTRUCTOR` |
`int` | `duration` | The call duration, in seconds.
`boolean` | `isDisconnected` | True, if the user was disconnected.
`boolean` | `isVideo` | True, if the call was a video call.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DiscardCall()` | Discards a call.
`DiscardCall​(int callId, boolean isDisconnected, int duration, boolean isVideo, long connectionId)` | Discards a call.
`DiscardCall​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callId

public int callId
Call identifier.

### isDisconnected

public boolean isDisconnected
True, if the user was disconnected.

### duration

public int duration
The call duration, in seconds.

### isVideo

public boolean isVideo
True, if the call was a video call.

### connectionId

public long connectionId
Identifier of the connection used during the call.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### DiscardCall

public DiscardCall()
Discards a call.

Returns `Ok`

### DiscardCall

public DiscardCall​(int callId, boolean isDisconnected, int duration, boolean isVideo, long connectionId)
Discards a call.

Returns `Ok`

Parameters:
  `callId` - int Call identifier.
  `isDisconnected` - boolean True, if the user was disconnected.
  `duration` - int The call duration, in seconds.
  `isVideo` - boolean True, if the call was a video call.
  `connectionId` - long Identifier of the connection used during the call.

### DiscardCall

public DiscardCall​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`